.net core 3 and ef core 3

Discussion of open issues, suggestions and bugs regarding ADO.NET provider for SQLite
Post Reply
dgxhubbard
Posts: 47
Joined: Fri 14 Aug 2015 20:58

.net core 3 and ef core 3

Post by dgxhubbard » Wed 23 Oct 2019 23:51

We are upgrading to .net core 3 and ef core 3. We have the dotConnect SQLite 5.13.1470.
I read your announcement about the latest release. Does it support ef core 3 and .net standard 2.1?

I am confused about supporting EF 6.3 we left EF and moved to EF Core 2 years ago.

Our focus is on EF Core 3.

We us dotConnect for SQLite and Postgre. We tried to create a database using
nuget packages Devart.Data.SQLite.EFCore and Devart.Data.PostgreSql.EFCore. When Postgre is loaded we get an
exception saying:
"Method get_Info in type Devart.Data.PostgreSql.Entity.PgSqlOptionExtensions is not implemented".

Why are we getting this error?

Shalex
Site Admin
Posts: 8926
Joined: Thu 14 Aug 2008 12:44

Re: .net core 3 and ef core 3

Post by Shalex » Fri 25 Oct 2019 18:31

Entity Framework Core 3.0 is supported in dotConnect for PostgreSQL v7.15.1499: viewtopic.php?f=3&t=39477. Please upgrade.

Post Reply